FIX::MessageParseError Struct Reference

Unable to parse message. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::MessageParseError:
[legend]
Collaboration diagram for FIX::MessageParseError:
[legend]

## Public Member Functions

| MessageParseError (const std::string &what="")
Public Member Functions inherited from FIX::Exception
| Exception (const std::string &t, const std::string &d)
| ~Exception () throw ()

## Additional Inherited Members

Public Attributes inherited from FIX::Exception
std::string | type
std::string | detail

## Detailed Description

Unable to parse message.

Definition at line 73 of file Exceptions.h.

## Constructor & Destructor Documentation

## MessageParseError()

FIX::MessageParseError::MessageParseError | ( | const std::string & | what = `""` | ) |

inline

Definition at line 75 of file Exceptions.h.

: Exception( "Could not parse message", what ) {}
FIX::Exception::Exception
Exception(const std::string &t, const std::string &d)
Definition: Exceptions.h:35

The documentation for this struct was generated from the following file:

- Exceptions.h